* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}

.back-to-top {
    position: fixed;
    bottom: 30px;
    right: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    background-color: #fff;
    color: #333;
    border-radius: 50%;
    text-decoration: none;
    font-size: 1.2rem;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease;
    z-index: 1000;
}

.back-to-top:hover {
    background-color: #ff0000;
    color: #fff;
    transform: translateY(-3px);
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.15);
}

ul{
    list-style-type: none;
}

.logo{
    display: flex;
    align-items: center;
    justify-content: center;
}

.logo a{
    line-height: normal;
    font-size: 0;
}

.logo h1 {
    margin: 0;
    font-size: 2rem;
    font-weight: 900;
    letter-spacing: -1px;
}

.logo h1 span {
    color: #ff0000;
}

.logo img {
    max-width: 110px;
}

.header-content{
    position: relative;
}

.header-actions {
    display: flex;
    align-items: center;
    gap: 20px;
}

.langlist{
    position: relative;

}

.langlist .langs{
    text-align: center;
    border-radius: 6px;
    padding: 10px 0;
    background: #fff;
    width: max-content;
    color: #333;
    position: absolute;
    top: 50px;
    left: 50%;
    z-index: 99999;
    display: none;
    padding: 15px 24px 15px;
    transform: translateX(-50%);
}

.langlist .langs li{
    line-height: 32px;
}

.langlist .cur-lang{
    cursor: pointer;
}

.header-actions .nav-icon{
    display: none;
}

.hero{
    position: relative;
    padding: 0px !important;
}

.hero .bg img{
    width: 100%;
    height: auto;
}

@media (max-width: 576px) {
    .header{
        background-color: #fff !important;
    }

    .header-actions .nav-icon{
        display: block;
    }

    .main-nav{
        position: absolute;
        width: 100vw;
        background-color: #fff;
        top: 45px;
        left: 50%;
        transform: translateX(-50%);
        display: none;
        z-index: 99;
    }

    .main-nav ul{
        flex-wrap: wrap;
        gap: 0px !important;
        padding: 20px 20px;
    }

    .main-nav ul li{
        line-height: 36px;
        width: 100%;
        text-align: center;
    }

    .hero-slider{
        margin-top: 95px;
    }
}